# Class CIM_StatisticsCapabilities
extends CIM_Capabilities

An instance of this class defines the specific support for the metered elements and methods for retrieving that statistical data from a StatisticsService.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_StatisticsCapabilities

## Direct Known Subclasses

CIM_BlockStatisticsCapabilities

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | An instance of this class defines the specific support for the metered elements and methods for retrieving that statistical data from a StatisticsService.
UMLPackagePath | string | CIM::Device::StorageStatistics
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AsynchronousMethodsSupported | uint16[] |
Description | string | The asychronous mechanisms supported for retrieving statistics.
ValueMap | string | .., 0x8000..
Values | string | DMTF Reserved, Vendor Specific
ElementTypesSupported | uint16[] |
Description | string | The list of element types for which statistical data is available. This property may not be meaningful if the StatisticsService these capabilities describe does not support StatisticalData instances for different types of elements.
SynchronousMethodsSupported | uint16[] |
Description | string | The synchronous mechanisms supported for retrieving statistics and defining and modifying filters for statistics retrieval.
ValueMap | string | .., 0x8000..
Values | string | DMTF Reserved, Vendor Specific

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
InstanceID | string | CIM_Capabilities

## Class Methods